# std::type_index::name

From cppreference.com
< cpp‎ | types‎ | type index

const char* name() const; |  | (since C++11)

Returns the name of the associated std::type_info object. Equivalent to calling std::type_info::name() directly.

### Parameters

(none)

### Return value

The name of the associated type_info object.

### Exceptions

(none) | (until C++14)
`noexcept` specification: noexcept | (since C++14)

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/types/type_index/name&oldid=91421"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template